[lfs-dev] systemd problem with libcap-2.23

Armin K. krejzi at email.com
Fri Jan 3 11:49:42 PST 2014


On 01/03/2014 08:47 PM, John Burrell wrote:
> I'm building the systemd version of LFS
> 
> When I configure systemd-208 with libcap-2.23 I get:
> 
> checking sys/capability.h usability... no
> checking sys/capability.h presence... no
> checking for sys/capability.h... no
> configure: error: *** POSIX caps headers not found
> 
> The file /usr/include/sys/capability.h is in place.
> 
> If I install libcap-2.22 the problem goes away.
> 
> The two sys/capability.h files appear to be the same.
> /usr/lib/pkgconfig/libcap.pc looks the same as well.
> 
> Which libcap file is systemd looking for and not finding?
> 
> 
> jb. 		 	   		  
> 

Systemd branch doesn't yet have libcap-2.23 because of that reason. I
was waiting for fix to land in BLFS before I could merge the changes.
Revert to 2.22 or use patch from BLFS to fix the issue.

Also, Follow book, book good.

-- 
Note: My last name is not Krejzi.



More information about the lfs-dev mailing list